Bug 677736 - maven-ant-tasks bundles dependencies
Summary: maven-ant-tasks bundles dependencies
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: maven-ant-tasks (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: DuplicSysLibsTracker
TreeView+ depends on / blocked
 
Reported: 2011-02-15 17:36 UTC by Stanislav Ochotnicky
Modified: 2011-03-03 02:49 UTC (History)
3 users (show)

Fixed In Version: maven-ant-tasks-2.1.1-8.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-03 02:49:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stanislav Ochotnicky 2011-02-15 17:36:38 UTC
maven-ant-tasks jar file contains lot of bundled libraries (various plexus, cyberneko-html, xerces and more)

Comment 1 Orion Poplawski 2011-02-15 18:38:36 UTC
I have no idea how to fix.

Comment 2 Alexander Kurtakov 2011-02-16 13:42:06 UTC
maven-shade-plugin generates original-maven-ant-tasks-*.jar that should be packaged instead. This is the builded jar as it was before shading/inserting 3rd party classes into it.

Comment 3 Orion Poplawski 2011-02-16 16:02:28 UTC
Ah, thanks for the heads up.  I had no idea mave-shade-plugin did that.  New build coming shortly.

Comment 4 Fedora Update System 2011-02-16 16:15:41 UTC
maven-ant-tasks-2.1.1-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/maven-ant-tasks-2.1.1-7.fc15

Comment 5 Stanislav Ochotnicky 2011-02-16 16:17:12 UTC
Yup, I would like to see some wording on usage of shade and bundle plugins in our guidelines.

Comment 6 Fedora Update System 2011-02-16 17:18:40 UTC
maven-ant-tasks-2.1.1-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/maven-ant-tasks-2.1.1-8.fc15

Comment 7 Fedora Update System 2011-02-16 21:29:19 UTC
maven-ant-tasks-2.1.1-8.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update maven-ant-tasks'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/maven-ant-tasks-2.1.1-8.fc15

Comment 8 Fedora Update System 2011-03-03 02:49:49 UTC
maven-ant-tasks-2.1.1-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.